﻿using System;
using System.Data;
using System.Data.SqlClient;

namespace WebApplication2
{
    public partial class AddProducts : System.Web.UI.Page
    {
        public static String connectionString = @"Data Source=192.168.0.106;Initial Catalog=ParallelCodes;User ID=sa;Password=789;Trusted_Connection=false;";
        SqlConnection con;
        SqlCommand cmd;
        
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
                FillGrid();
        }
        

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            try
            {
                if(txtProductDesc.Text==null || txtProductName.Text==null||
                    txtProductDesc.Text.ToString().Trim().Equals("") || txtProductName.Text.ToString().Trim().Equals(""))
                    lblInfo.Text = "Please enter all fields";
                else
                {
                    con = new SqlConnection(connectionString);
                    cmd = new SqlCommand();
                    cmd.Connection = con;
                    con.Open();
                    cmd.CommandText = "sp_AddProducts";
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.Parameters.AddWithValue("@ProName", txtProductName.Text.ToString());
                    cmd.Parameters.AddWithValue("@Prodesc", txtProductDesc.Text.ToString());
                    cmd.ExecuteNonQuery();

                    SqlDataAdapter adapter = new SqlDataAdapter(new SqlCommand("Select ProName,ProDesc,OnDate from Products", con));
                    DataTable dt = new DataTable();
                    adapter.Fill(dt);
                    proDataGrid.DataSource = dt;
                    proDataGrid.DataBind();
                    adapter.Dispose();
                    cmd.Dispose();
                    con.Close();

                    lblInfo.Text = "Added Successfully";
                    txtProductDesc.Text = "";
                    txtProductName.Text = "";
                }
            }catch(Exception ex)
            {
                lblInfo.Text = "Error:" + ex.Message.ToString();
            }
        }

        public void FillGrid()
        {
            try
            {
                con = new SqlConnection(connectionString);
                con.Open();
                SqlDataAdapter adapter = new SqlDataAdapter(new SqlCommand("Select ProName,ProDesc,OnDate from Products", con));
                DataTable dt = new DataTable();
                adapter.Fill(dt);
                proDataGrid.DataSource = dt;
                proDataGrid.DataBind();
                adapter.Dispose();
                con.Close();
            }
            catch(Exception ex)
            {

            }
        }
    }
}